From 64ed37870ea18161d0bc34505022a8c80630c0c2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Maxime=20=E2=80=9Cpep=E2=80=9D=20Buquet?= <pep@bouah.net>
Date: Fri, 1 May 2020 14:53:18 +0200
Subject: Update Python version minimum requirement to 3.7
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Maxime “pep” Buquet <pep@bouah.net>
---
 .gitlab-ci.yml           | 27 ---------------------------
 .travis.yml              |  2 --
 doc/source/install.rst   |  4 ++--
 launch.sh                |  2 +-
 requirements-plugins.txt |  3 +--
 setup.py                 |  3 +--
 update.sh                |  6 +++---
 7 files changed, 8 insertions(+), 39 deletions(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index e029c83d..84598aa2 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -38,33 +38,6 @@ security-check:
     - pip3 install safety
     - safety check -r requirements.txt
 
-pytest-3.5:
-  stage: test
-  image: python:3.5
-  script:
-    - apt-get update && apt-get install -y libidn11-dev
-    - pip install 'aiohttp<4.0'
-    - git clone git://git.louiz.org/slixmpp
-    - pip3 install pytest pyasn1-modules cffi --upgrade
-    - cd slixmpp
-    - python3 setup.py install
-    - cd ..
-    - python3 setup.py install
-    - py.test -v test/
-
-pytest-3.6:
-  stage: test
-  image: python:3.6
-  script:
-    - apt-get update && apt-get install -y libidn11-dev
-    - git clone git://git.louiz.org/slixmpp
-    - pip3 install pytest pyasn1-modules cffi --upgrade
-    - cd slixmpp
-    - python3 setup.py install
-    - cd ..
-    - python3 setup.py install
-    - py.test -v test/
-
 pytest-3.7:
   stage: test
   image: python:3.7
diff --git a/.travis.yml b/.travis.yml
index 923df969..3877ad41 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,7 +1,5 @@
 language: python
 python:
-    - "3.5"
-    - "3.6"
     - "3.7"
     - "3.8-dev"
 install:
diff --git a/doc/source/install.rst b/doc/source/install.rst
index 3425542c..0249230b 100644
--- a/doc/source/install.rst
+++ b/doc/source/install.rst
@@ -3,7 +3,7 @@
 Installing poezio
 =================
 
-.. warning:: Python 3.5 or above is **required**.
+.. warning:: Python 3.7 or above is **required**.
              To install it on a distribution that doesn't provide it, see :ref:`pyenv <pyenv-install>`.
 
 poezio in the GNU/Linux distributions
@@ -60,7 +60,7 @@ support. Therefore, you might want to use the git version.
 General
 """""""
 
-Poezio is a python3.5 (and above)-only application, so you will first need that.
+Poezio is a python3.7 (and above)-only application, so you will first need that.
 
 Packages required for building poezio and deps:
 
diff --git a/launch.sh b/launch.sh
index 44b8074c..92f8545a 100755
--- a/launch.sh
+++ b/launch.sh
@@ -24,6 +24,6 @@ else
     PYTHON3=python3
 fi
 
-$PYTHON3 -c 'import sys;(print("Python 3.5 or newer is required") and exit(1)) if sys.version_info < (3, 5) else exit(0)' || exit 1
+$PYTHON3 -c 'import sys;(print("Python 3.7 or newer is required") and exit(1)) if sys.version_info < (3, 7) else exit(0)' || exit 1
 exec "$PYTHON3" -m poezio --custom-version "$args" "$@"
 
diff --git a/requirements-plugins.txt b/requirements-plugins.txt
index 1b523929..c50dbf31 100644
--- a/requirements-plugins.txt
+++ b/requirements-plugins.txt
@@ -1,6 +1,5 @@
 git+https://github.com/afflux/pure-python-otr.git#egg=python-potr
 pyinotify
 python-mpd2
-aiohttp<4 ; python_version <= '3.5'
-aiohttp ; python_version > '3.5'
+aiohttp
 pygments
diff --git a/setup.py b/setup.py
index 24eb26f8..5002f921 100755
--- a/setup.py
+++ b/setup.py
@@ -111,9 +111,8 @@ setup(name="poezio",
                    'License :: OSI Approved :: zlib/libpng License',
                    'Natural Language :: English',
                    'Operating System :: Unix',
+                   'Programming Language :: Python :: 3.8',
                    'Programming Language :: Python :: 3.7',
-                   'Programming Language :: Python :: 3.6',
-                   'Programming Language :: Python :: 3.5',
                    'Programming Language :: Python :: 3 :: Only'],
       keywords=['jabber', 'xmpp', 'client', 'chat', 'im', 'console'],
       packages=['poezio', 'poezio.core', 'poezio.tabs', 'poezio.windows',
diff --git a/update.sh b/update.sh
index 9f8bf382..81989e57 100755
--- a/update.sh
+++ b/update.sh
@@ -23,7 +23,7 @@ command -v "$POEZIO_PYTHON" > /dev/null 2>&1 || {
 }
 
 $POEZIO_PYTHON -c 'import venv' &> /dev/null || {
-    echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.5) installed,"
+    echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.7) installed,"
     exit 1
 }
 
@@ -43,7 +43,7 @@ then
     . "$POEZIO_VENV/bin/activate"
     echo 'Updating the in-venv pip'
     pip install --upgrade pip
-    python3 -c 'import sys;(print("Python 3.5 or newer is required") and exit(1)) if sys.version_info < (3, 5) else exit(0)' || exit 1
+    python3 -c 'import sys;(print("Python 3.7 or newer is required") and exit(1)) if sys.version_info < (3, 7) else exit(0)' || exit 1
     echo 'Updating the poezio dependencies'
     pip install -r requirements.txt --upgrade
     echo 'Updating the poezio plugin dependencies'
@@ -55,7 +55,7 @@ else
 
     . "$POEZIO_VENV/bin/activate"
     cd "$POEZIO_VENV" # needed to download slixmpp inside the venv
-    python3 -c 'import sys;(print("Python 3.5 or newer is required") and exit(1)) if sys.version_info < (3, 5) else exit(0)' || exit 1
+    python3 -c 'import sys;(print("Python 3.7 or newer is required") and exit(1)) if sys.version_info < (3, 7) else exit(0)' || exit 1
 
     echo 'Installing the poezio dependencies using pip'
     pip install -r "../requirements.txt"
-- 
cgit v1.2.3